/*---- Fonts ----*/
@font-face {
  font-family: 'Roboto';
  src: url('../fonts/Roboto-Light.ttf') format('truetype');
  font-weight: 300;
  font-display: swap;
}

@font-face {
  font-family: 'Roboto';
  src: url('../fonts/Roboto-Regular.ttf') format('truetype');
  font-weight: 400;
  font-display: swap;
}

@font-face {
  font-family: 'Roboto';
  src: url('../fonts/Roboto-Bold.ttf') format('truetype');
  font-weight: 700;
  font-display: swap;
}

@font-face {
  font-family: 'Inter';
  src: url('../fonts/Inter-ExtraBold.ttf') format('truetype');
  font-weight: 800;
  font-display: swap;
}

/*---- Variables ----*/
:root {
  --font-main: 'Roboto', 'Arial', sans-serif;
  --font-secondary: 'Inter', 'Arial', sans-serif;

  --color-dark: #000000;
  --color-black: #161616;
  --color-medium-black: #191a1a;
  --color-light-black: #1a1b1c;
  --color-thin-black: #212121;
  --color-dark-gray: #393939;
  --color-medium-gray: #4F5D75;
  --color-gray: #757678;
  --color-light-gray: #C7C7C7;
  --color-white: #FFFFFF;
  --color-blue: #1B77E3;
  --color-light-blue: #42C6FF;
}

/*---- Reset ----*/
*,
*:before,
*:after {
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  padding: 0;
  margin: 0;
  border: 0;
}

aside,
nav,
footer,
header,
section {
  display: block;
}

body {
  line-height: 1;
  -ms-text-size-adjust: 100%;
  -moz-text-size-adjust: 100%;
  -webkit-text-size-adjust: 100%;
}

input::-ms-clear {
  display: none;
}

button {
  cursor: pointer;
  background: none;
}

button::-moz-focus-inner {
  padding: 0;
  border: 0;
}

a {
  display: inline-block;
}

a,
a:visited {
  text-decoration: none;
}

a:hover {
  text-decoration: none;
}

ul li {
  list-style: none;
}

img {
  display: block;
  max-width: 100%;
  height: auto;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-weight: inherit;
  font-size: inherit;
}

/*---- Global styles ----*/
html,
body {
  scroll-behavior: smooth;
}

body {
  position: relative;
  overflow-x: hidden;
  font-family: var(--font-main);
  background-color: var(--color-thin-black);
  color: var(--color-white);
  font-size: 20px;
  line-height: normal;
}

body.innerpage {
  background: var(--color-black);
  background: linear-gradient(180deg, var(--color-black) 0%, var(--color-medium-black) 100%);
}

main,
article {
  overflow-x: hidden;
}

body:has(.nav.active) {
  overflow: hidden;
}


/*---- Utils ----*/
.bg-thin-black {
  background-color: var(--color-thin-black);
}

.section-spacing {
  padding: 125px 75px 125px 150px;
}

.section-spacing-container {
  width: 100%;
  max-width: 1550px;
  margin: 0 auto;
}

.section-shadow {
  position: absolute;
  width: 75vw;
  height: 75vw;
  border-radius: 2000px;
  filter: blur(500px);
  z-index: -1;
}

.section-title {
  position: relative;
  text-align: center;
  color: var(--color-white);
  font-size: 72px;
}

.section-title.dot {
  width: fit-content;
  margin-left: auto;
  margin-right: auto;
  padding: 0 25px;
}

.section-title.dot::after {
  content: '';
  position: absolute;
  bottom: 20%;
  right: 0;
  width: 11px;
  height: 11px;
  background-color: var(--color-blue);
}

.section-subject {
  font-size: 62px;
  margin-bottom: 36px;
}

.section-subject span {
  color: var(--color-light-blue);
}

.whatsapp {
  width: 100%;
  max-width: 72px;
  filter: drop-shadow(0px 0px 56px var(--color-blue)) drop-shadow(0px 4px 16px var(--color-blue));
}

.shadow-icon {
  position: absolute;
  opacity: 0.1;
  z-index: -1;
  font-size: 280px;
  color: var(--color-dark);
}

.read-more-trigger {
  width: fit-content !important;
  margin: 64px 0 0 !important;
  cursor: pointer;
}

.read-more-trigger.hidden {
  display: none;
}

.read-more-target.active {
  display: block;
}

@media (max-width: 1449.98px) {
  .section-title {
    font-size: 60px;
  }

  .section-subject {
    font-size: 46px;
  }

  .whatsapp {
    max-width: 60px;
  }

  .shadow-icon {
    font-size: 240px;
  }
}

@media (max-width: 1199.98px) {
  .shadow-icon {
    font-size: 150px;
  }
}

@media (max-width: 991.98px) {
  .innerpage .section-spacing {
    padding: 100px 45px;
  }

  .innerpage .section-spacing.articles {
    padding: 0 45px 100px;
  }

  .section-title {
    font-size: 50px;
  }

  .section-title.dot {
    padding: 0 20px;
  }

  .section-title.dot::after {
    bottom: 22%;
    width: 8px;
    height: 8px;
  }

  .section-subject {
    font-size: 32px;
    margin-bottom: 28px;
  }
}

@media (max-width: 767.98px) {
  .section-title {
    font-size: 40px;
  }

  .shadow-icon {
    font-size: 90px;
  }
}

@media (max-width: 575.98px) {
  .innerpage .section-spacing {
    padding: 75px 25px;
  }

  .innerpage .section-spacing.articles {
    padding: 0 25px 75px;
  }

  .section-title {
    font-size: 32px;
  }

  .section-title.dot {
    padding: 0 15px;
  }

  .section-title.dot::after {
    width: 6px;
    height: 6px;
  }

  .section-subject {
    font-size: 20px;
  }
}

@media (max-width: 374.98px) {
  .shadow-icon {
    font-size: 60px;
  }
}

/* Button */
.button {
  display: inline-block;
  font-family: var(--font-main);
  border-radius: 100px;
  background-color: var(--color-dark);
  color: var(--color-white);
  font-size: 26px;
  padding: 20px 68px;
  transition: 0.3s all ease;
  white-space: nowrap;
}

.button:hover {
  background-color: var(--color-medium-gray);
}

@media (max-width: 575.98px) {
  .button {
    font-size: 18px;
    padding: 12px 50px;
  }
}

/* Form inputs */
.form-label {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  flex-grow: 1;
}

.form-label span {
  display: block;
  position: relative;
  margin: 0 10px 5px;
  font-size: 24px;
  font-weight: 300;
}

.form-label.required span::before {
  content: '*';
  color: var(--color-light-blue);
  margin-right: 3px;
}

.form-label input {
  width: 100%;
  border-radius: 100px;
  background-color: var(--color-thin-black);
  font-size: 24px;
  font-family: var(--font-main);
  font-weight: 300;
  color: var(--color-white);
  padding: 6px 16px;
}

.form-label input:focus {
  outline: 2px solid var(--color-blue);
}

.form-button {
  font-family: var(--font-main);
  font-size: 24px;
  padding: 6px 40px;
  background-color: var(--color-light-blue);
  box-shadow: 0px 0px 56px 0px var(--color-blue), 0px 4px 16px 0px var(--color-blue);
  border-radius: 100px;
  transition: 0.3s all ease;
}

.form-button:hover {
  background-color: #1aaeed;
}

.form-whatsapp {
  display: flex;
  align-items: center;
  gap: 10px;
  font-size: 20px;
  font-weight: 300;
  color: var(--color-white);
}

@media (max-width: 1449.98px) {
  .form-label span {
    font-size: 20px;
    margin: 0 5px 5px;
  }
}

@media (max-width: 767.98px) {
  .form-whatsapp {
    font-size: 18px;
  }
}

/* Article */
.articles {
  position: relative;
  z-index: 2;
}

.article {
  position: relative;
}

.article__main {
  display: flex;
  align-items: center;
  gap: 60px;
  margin-bottom: 200px;
  transition: 1s all ease-out;
}

.article__main>* {
  flex: 1;
}

.article__main>div {
  transition: 1s all ease-out;
}

.article__row {
  display: flex;
  gap: 60px;
}

.article__row .article {
  flex: 1;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  transition: 1s all ease-out;
}

.article__row .article picture {
  margin-bottom: 36px;
}

.article__row .article .article__button {
  margin-top: auto;
}

.article__row .article__info {
  margin-bottom: 24px;
}

.article h4 {
  font-size: 40px;
  margin-bottom: 36px;
}

.article h5,
.article__more {
  font-size: 30px;
  margin-bottom: 24px;
}

.article p {
  width: 100%;
  font-size: 28px;
  line-height: 1.33;
  margin-bottom: 36px;
}

.article p:last-child {
  margin-bottom: 0;
}

.article h4 span,
.article h5 span,
.article p span {
  color: var(--color-light-blue);
}

.article a {
  color: var(--color-white);
  text-decoration: underline;
}

.article picture img {
  width: 100%;
  object-fit: cover;
}

.article__button {
  font-size: 22px;
  text-decoration: none !important;
}

.article__info {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  gap: 24px;
  margin-bottom: 36px;
}

.article__info-icon {
  font-size: 36px;
}

.article__info-time {
  font-size: 24px;
  color: var(--color-medium-gray);
  font-weight: 700;
}

.article__main .article__info-time {
  font-size: 30px;
}

.article__info-name {
  font-size: 24px;
}

@media (max-width: 1449.98px) {

  .article__main,
  .article__row {
    gap: 40px;
  }

  .article__row .article picture {
    margin-bottom: 28px;
  }

  .article__info {
    gap: 16px;
    margin-bottom: 28px;
  }

  .article h4 {
    font-size: 36px;
    margin-bottom: 28px;
  }

  .article p {
    font-size: 24px;
    margin-bottom: 28px;
  }

  .article__info-icon {
    font-size: 28px;
  }

  .article__main .article__info-time {
    font-size: 24px;
  }

  .article__info-time,
  .article__info-name {
    font-size: 20px;
  }
}

@media (max-width: 1199.98px) {
  .article__more {
    display: none;
  }

  .article__main {
    margin-bottom: 150px;
    flex-direction: column-reverse;
    padding-bottom: 100px;
  }

  .article__main picture {
    width: 100%;
  }

  .article__row {
    flex-direction: column;
    gap: 150px;
  }

  .article__row .article .article__button,
  .article__main .article__button {
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
  }

  .article__row .article {
    padding-left: calc(32% + 40px);
    padding-bottom: 100px;
  }

  .article__row .article::before {
    content: '';
    position: absolute;
    top: -77px;
    left: 50%;
    transform: translateX(-50%);
    width: 90%;
    height: 4px;
    opacity: 0.2;
    background: var(--color-light-blue);
    box-shadow: 0px 0px 25.76783px 0px var(--color-blue), 0px 1.84056px 7.36224px 0px var(--color-blue);
  }

  .article__row .article picture {
    position: absolute;
    top: 0;
    left: 0;
    width: 32%;
    height: calc(100% - 128px);
  }

  .article__row .article picture img {
    height: 100%;
  }
}

@media (min-width: 991.98px) {
  .article__main.invisible {
    opacity: 0.5;
    transform: translateX(-50%);
  }

  .article__main.invisible>div {
    opacity: 0;
  }

  .article__row .article.invisible {
    opacity: 0.4;
  }
}

@media (max-width: 991.98px) {
  .article__main picture {
    margin: 0 -45px;
    width: calc(100% + 90px);
  }

  .article__info-icon {
    font-size: 24px;
  }

  .article__row .article picture {
    margin-left: -45px;
    width: calc(32% + 45px);
  }

  .article h4 {
    font-size: 28px;
    margin-bottom: 24px;
  }

  .article h5 {
    font-size: 24px;
    margin-bottom: 20px;
  }

  .article p {
    font-size: 20px;
    margin-bottom: 24px;
  }
}

@media (max-width: 575.98px) {
  .article__main {
    gap: 24px;
    padding-bottom: 75px;
    margin-bottom: 120px;
  }

  .article__main picture {
    margin: 0 -25px;
    width: calc(100% + 50px);
  }

  .article__main .article__info-time {
    font-size: 16px;
  }

  .article__row {
    gap: 120px;
  }

  .article__row .article {
    padding-left: calc(32% + 24px);
    padding-bottom: 75px;
  }

  .article__row .article::before {
    top: -62px;
  }

  .article__row .article picture {
    margin-left: -25px;
    width: calc(32% + 25px);
    height: calc(100% - 90px);
  }

  .article__info-time,
  .article__info-name {
    font-size: 16px;
  }

  .article__info {
    margin-bottom: 16px;
  }

  .article__row .article__info {
    margin-bottom: 16px;
  }

  .article h4 {
    font-size: 20px;
    margin-bottom: 16px;
  }

  .article h5 {
    font-size: 18px;
    margin-bottom: 16px;
  }

  .article p {
    font-size: 16px;
    margin-bottom: 16px;
  }

  .article__button {
    font-size: 16px;
  }
}


/*---- Chess icons blinking ----*/
@keyframes blinking {

  0%,
  30% {
    opacity: 1;
  }

  31%,
  35% {
    opacity: 0.2;
  }

  36%,
  38% {
    opacity: 1;
  }

  39%,
  43% {
    opacity: 0.2;
  }

  44%,
  61% {
    opacity: 1;
  }

  62%,
  82% {
    opacity: 0.2;
  }

  83%,
  100% {
    opacity: 1;
  }
}

.icon-chess-king,
.icon-chess-knight {
  filter: drop-shadow(0px 0px 85px #153254) drop-shadow(0px 6px 24px var(--color-blue));
  animation: blinking 2.5s linear infinite;
}

@media (max-width: 991.98px) {

  .icon-chess-king,
  .icon-chess-knight {
    filter: drop-shadow(0px 0px 56px var(--color-blue)) drop-shadow(0px 4px 16px var(--color-blue));
  }
}


/*---- Header ----*/
.header__logo {
  position: fixed;
  top: 46px;
  left: 42px;
  z-index: 1000;
}

.header__logo img {
  width: 100%;
  max-width: 131px;
}

.header__breadcrumbs {
  position: absolute;
  top: 62px;
  left: 205px;
  z-index: 1000;
  display: flex;
  list-style-type: none;
  font-size: 20px;
  font-weight: 300;
  color: var(--color-white);
}

.header__breadcrumbs li {
  padding-right: 5px;
}

.header__breadcrumbs li::after {
  content: ' >';
}

.header__breadcrumbs li:last-child:after {
  content: '';
}

.header__breadcrumbs a {
  color: var(--color-white);
}

.header__lang {
  position: fixed;
  top: 30px;
  right: 27px;
  z-index: 1000;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.header__lang.header-lang-mobile {
  display: none;
}

.header__lang p {
  font-size: 20px;
  font-weight: 700;
  background-color: var(--color-dark);
  color: var(--color-light-gray);
  padding: 10px 25px;
  border-radius: 50px;
  margin-bottom: 30px;
  cursor: pointer;
}

.header__contact {
  position: fixed;
  bottom: 20px;
  right: 20px;
  z-index: 1000;
  width: 100%;
  max-width: 630px;
}

.header__contact-wrapper {
  position: relative;
  display: flex;
  align-items: center;
  background-color: var(--color-dark);
  border-radius: 50px;
  padding: 11px 16px 11px 24px;
  margin-right: 80px;
}

.header__contact-wrapper input {
  padding: 3px;
  display: block;
  width: 100%;
  font-family: var(--font-main);
  background: transparent;
  color: var(--color-gray);
  font-size: 24px;
  margin-right: 20px;
}

.header__contact-wrapper button {
  font-family: var(--font-main);
  background-color: var(--color-dark-gray);
  color: var(--color-white);
  font-size: 20px;
  font-weight: 700;
  padding: 6px 32px;
  border-radius: 50px;
  white-space: nowrap;
  transition: 0.3s all ease;
}

.header__contact-wrapper button:hover {
  background-color: var(--color-gray);
}

.header__contact-icon {
  position: absolute;
  top: -6px;
  right: -80px;
}

.header__contact-mobile {
  display: none;
}

.header__menu {
  display: none;
}

.header__menu-burger {
  color: var(--color-light-gray);
  font-size: 34px;
}

.header__menu-arrow {
  font-size: 24px;
}

@media (max-width: 1449.98px) {
  .header__logo {
    top: 35px;
    left: 30px;
  }

  .header__logo img {
    max-width: 110px;
  }

  .header__breadcrumbs {
    top: 48px;
    left: 170px;
    font-size: 18px;
  }

  .header__contact {
    max-width: 530px;
  }

  .header__contact-wrapper {
    margin-right: 65px;
  }

  .header__contact-wrapper input {
    font-size: 20px;
  }

  .header__contact-wrapper button {
    font-size: 18px;
  }

  .header__contact-icon {
    top: 0;
    right: -65px;
  }
}

@media (max-width: 991.98px) {
  .header {
    position: fixed;
    top: 0;
    left: 0;
    z-index: 2000;
    width: 100%;
    background-color: var(--color-medium-black);
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px 25px;
  }

  .innerpage .header,
  .innerpage .nav {
    background-color: var(--color-black);
  }

  .header__logo {
    position: static;
  }

  .header__logo img {
    max-width: 100px;
  }

  .header__breadcrumbs {
    display: none;
  }

  .header__lang.header-lang-desktop {
    display: none;
  }

  .header__lang.header-lang-mobile {
    display: none;
  }

  .header__lang.header-lang-mobile {
    position: static;
    width: fit-content;
    margin-left: auto;
    margin-top: 1px;
  }

  .header__lang.header-lang-mobile p {
    margin-bottom: 20px;
    padding: 6px 25px;
  }

  .header__menu {
    display: none;
    z-index: 1000;
  }

  .header__menu-burger.hidden {
    display: none;
  }

  .header__menu-arrow {
    display: none;
  }

  .header__menu-arrow.active {
    display: block;
  }

  .header__contact {
    max-width: 325px;
  }

  .header__contact-wrapper {
    padding: 0;
  }

  .header__contact-wrapper input {
    display: none;
  }

  .header__contact-wrapper button {
    width: 100%;
    padding: 18px;
    font-size: 24px;
    color: var(--color-light-blue);
  }

  .header__contact-wrapper button:hover {
    background-color: var(--color-dark-gray);
  }

  .header__contact-icon {
    top: 6px;
  }

  .header__contact-mobile {
    display: block;
  }
}

@media (max-width: 374.98px) {
  .header__contact {
    max-width: 100%;
    right: 0;
    padding: 0 20px;
  }
}

/*---- Nav ----*/
.nav {
  position: fixed;
  top: 140px;
  left: 50px;
  z-index: 1000;
  overflow-y: scroll;
  max-height: calc(100vh - 140px);
  -ms-overflow-style: none;
  scrollbar-width: none;
}

.nav::-webkit-scrollbar {
  display: none;
}

.nav:hover .nav__list {
  opacity: 1;
  width: 391px;
  border-radius: 20px;
  padding: 38px 33px;
}

.nav:hover .nav__list-item .hidden-content {
  display: flex;
  opacity: 1;
}

.nav__list {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 40px;
  width: 64px;
  height: 100%;
  background: var(--color-light-black);
  border-radius: 50px;
  opacity: 0.6;
  padding: 38px 10px;
  transition: 0.3s all ease;
}

.nav__list-item {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  min-height: 38px;
  margin-bottom: 20px;
}

.nav__list-item:last-child {
  margin-bottom: 0;
}

.nav__list-item.nav__dropdown {
  flex-direction: column;
  align-items: stretch;
  margin-bottom: 0;
}

.nav__list-item.nav__dropdown.nav__dropdown-active .arrow {
  transform: rotate(180deg);
}

.nav__list-item.nav__dropdown.nav__dropdown-active .nav__dropdown-content {
  max-height: 1000px;
  opacity: 1;
  transition: 0.15s all ease-out;
}

.nav__list-item .hidden-content {
  opacity: 0;
  display: none;
  transition: 0.3s all ease;
  white-space: nowrap;
  flex-grow: 1;
  align-items: center;
  justify-content: space-between;
  font-size: 20px;
}

.nav__list-item .hidden-content span {
  cursor: pointer;
}

.nav__list-item .hidden-content a {
  color: var(--color-white);
}

.nav__list-item .hidden-content .arrow {
  padding: 4px;
  cursor: pointer;
  font-size: 10px;
}

.nav__list-icon {
  width: 44px;
  font-size: 35px;
  flex-shrink: 0;
  text-align: center;
  margin-right: 20px;
}

.nav__list-icon.small {
  font-size: 28px;
}

.nav__dropdown .arrow {
  transition: 0.15s all ease;
}

.nav__dropdown-trigger {
  height: 100%;
  flex-grow: 1;
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin-bottom: 20px;
}

.nav__dropdown-content {
  max-height: 0;
  opacity: 0;
  overflow: hidden;
  padding-left: 64px;
}

.nav__dropdown-content li {
  position: relative;
  margin-bottom: 15px;
  padding-left: 32px;
}

.nav__dropdown-content li::before {
  content: "";
  display: inline-block;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  left: 0;
  width: 13px;
  height: 1px;
  background: var(--color-light-gray);
}

.nav__dropdown-content li:last-child {
  margin-bottom: 0;
}

.nav__dropdown-content li a {
  color: var(--color-light-gray);
  transition: 0.3s all ease;
}

.nav__dropdown-content li a:hover {
  color: var(--color-white);
}

@media (max-width: 1449.98px) {
  .nav {
    left: 32px;
    top: 110px;
    max-height: calc(100vh - 110px);
  }
}

@media (max-width: 991.98px) {
  .nav {
    display: none;
    top: 80px;
    left: 0;
    right: 0;
    bottom: 0;
    max-height: calc(100vh - 80px);
    background-color: var(--color-medium-black);
    padding: 0 20px 20px;
  }

  .nav.active {
    display: block;
  }

  .nav:hover .nav__list {
    width: 100%;
    border-radius: 0;
    padding: 0;
  }

  .nav__list {
    width: 100%;
    border-radius: 0;
    opacity: 1;
    padding: 0;
    height: auto;
    gap: 20px;
    background: transparent;
  }

  .nav__list-item .hidden-content {
    opacity: 1;
    display: flex;
  }
}

@media (max-width: 575.98px) {
  .nav__list-icon {
    width: 30px;
  }

  .nav__list-item .hidden-content {
    font-size: 16px;
  }
}


/*---- Hero section ----*/
.hero {
  position: relative;
  width: 100%;
  height: 100vh;
}

.homepage .hero {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: var(--color-medium-black);
  min-height: 700px;
  max-height: 1000px;
}

.innerpage .hero {
  height: 1000px;
  padding-top: 300px;
  padding-bottom: 0;
}

.innerpage .hero__bg {
  position: absolute;
  top: 0;
  right: 0;
  width: 100%;
  height: 100%;
  z-index: -1;
}

.innerpage .hero__bg img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: top right;
}

.innerpage .hero__king,
.innerpage .hero__knight {
  position: absolute;
}

.innerpage .hero__king {
  top: 184px;
  right: 184px;
  font-size: 500px;
}

.innerpage .hero__knight {
  top: 310px;
  right: 280px;
  font-size: 145px;
}

.hero__inner {
  position: relative;
  z-index: 1;
}

.hero__inner h1 {
  max-width: 900px;
}

.hero__inner p,
.hero__inner h2 {
  width: 100%;
  max-width: 600px;
  font-size: 28px;
  line-height: 1.33;
  margin-bottom: 36px;
}

.hero__inner p span,
.hero__inner h2 span {
  color: var(--color-light-blue);
}

.hero__cube {
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  top: -230px;
  width: 100%;
  max-width: 1400px;
  z-index: 0;
  display: block;
  opacity: 0.2;
}

.hero__cube img {
  width: 100%;
}

.hero__block {
  position: relative;
  z-index: 1;
  text-align: center;
  font-family: var(--font-secondary);
  font-weight: 800;
  padding: 0 20px;
}

.hero__block p {
  color: var(--color-light-blue);
  font-size: 48px;
}

.hero__arrow {
  position: absolute;
  z-index: 1;
  bottom: 10px;
  left: 50%;
  transform: translateX(-50%);
}

@media (min-width: 1929.98px) {
  .innerpage .hero__bg img {
    object-fit: contain;
  }
}

@media (max-width: 1449.98px) {
  .innerpage .hero {
    padding-top: 250px;
  }

  .innerpage .hero__knight {
    right: 150px;
    font-size: 116px;
  }

  .hero__inner h1 {
    max-width: 650px;
  }

  .hero__inner p,
  .hero__inner h2 {
    max-width: 510px;
    font-size: 24px;
    margin-bottom: 28px;
  }

  .hero__block p {
    font-size: 40px;
  }
}

@media (max-width: 1199.98px) {
  .hero__cube {
    top: -180px;
  }

  .hero__arrow {
    bottom: 60px;
  }
}

@media (max-width: 991.98px) {
  .hero {
    min-height: 600px;
  }

  .innerpage .hero {
    margin-top: 80px;
    height: auto;
    padding-top: 105vw;
  }

  .innerpage .hero__bg {
    height: auto;
    aspect-ratio: 1/1;
  }

  .innerpage .hero__king {
    top: 15%;
    right: 20%;
    font-size: 216px;
  }

  .innerpage .hero__knight {
    top: 20%;
    right: auto;
    left: 50%;
    transform: translateX(-50%);
  }

  .hero__inner h1,
  .hero__inner p,
  .hero__inner h2 {
    max-width: 100%;
  }

  .innerpage .hero__inner .blue-mobile {
    color: var(--color-light-blue);
  }

  .hero__cube {
    top: 0;
    opacity: 0.15;
  }

  .hero__arrow {
    display: none;
  }

  .hero__inner p,
  .hero__inner h2 {
    font-size: 20px;
    margin-bottom: 24px;
  }

  .hero__block p {
    font-size: 30px;
  }
}

@media (max-width: 767.98px) {
  .hero {
    min-height: 500px;
  }

  .innerpage .hero__king {
    top: 10%;
  }
}

@media (max-width: 575.98px) {
  .innerpage .hero__king {
    right: 19%;
    font-size: 500px;
  }

  .innerpage .hero__knight {
    font-size: 82px;
  }

  .hero__cube {
    top: 100px;
  }

  .hero__inner p,
  .hero__inner h2 {
    font-size: 16px;
    margin-bottom: 16px;
  }

  .hero__block p {
    font-size: 18px;
  }
}


/*---- Contact section ----*/
.contact {
  position: relative;
  padding: 1500px 150px 370px;
  margin-top: -800px;
  z-index: 1;
  background: url('../images/tetris/tetris1.svg') 10% 1100px, url('../images/tetris/tetris2.svg') 50% 460px, url('../images/tetris/tetris3.svg') 85% 720px;
  background-repeat: no-repeat;
}

.contact.contact-small {
  padding: 750px 150px 370px;
  margin-top: -230px;
  background: none;
}

.contact.contact-small .contact__line {
  height: 1100px;
}

.contact.contact-small .contact__icon1 {
  top: 100px;
}

.contact.contact-small .contact__icon2 {
  top: 250px;
}

.contact__icon1 {
  top: 850px;
  left: 21%;
  transform: rotate(-49deg);
}

.contact__icon2 {
  top: 1000px;
  left: 60%;
  transform: rotate(64deg);
}

.contact__shadow {
  bottom: 200px;
  left: 50%;
  transform: translateX(-50%);
  background: var(--color-blue);
  opacity: 0.5;
}

.contact__line {
  position: absolute;
  top: 0;
  left: 50%;
  transform: translateX(-50%);
  z-index: -1;
  width: 14px;
  height: 1850px;
  background: linear-gradient(180deg, rgba(217, 217, 217, 0) 0%, var(--color-blue) 100%);
}

.contact__block {
  position: relative;
  width: 100%;
  max-width: 1046px;
  margin: 0 auto;
}

.contact__block.invisible .contact__block-title,
.contact__block.invisible .contact__block-text,
.contact__block.invisible .contact__form {
  opacity: 0;
  transition: 0.5s all ease-out;
}

.contact__block-img {
  position: absolute;
}

.contact__block-img-top {
  top: -25px;
  right: -70px;
}

.contact__block-img-bottom {
  bottom: -60px;
  left: -70px;
}

.contact__block-shadow {
  position: absolute;
}

.contact__block-shadow1 {
  top: -160px;
  left: -15px;
}

.contact__block-shadow2 {
  top: -6px;
  right: -115px;
}

.contact__block-wrapper {
  width: 100%;
  margin: 0 5px;
  padding: 85px 98px 70px 112px;
  background-color: #0B0B0B;
}

.contact__block-title {
  font-size: 48px;
  margin-bottom: 20px;
  transition: 0.8s all ease-out;
}

.contact__block-title span {
  color: var(--color-light-blue);
}

.contact__block-text {
  font-size: 28px;
  font-weight: 300;
  line-height: 1.33;
  margin-bottom: 48px;
  transition: 0.8s all ease-out;
}

.contact__form {
  display: flex;
  flex-direction: column;
  gap: 48px;
  transition: 0.8s all ease-out;
}

.contact__form-row {
  display: flex;
  align-items: center;
  gap: 20px;
}

.contact__form-wrap {
  position: relative;
}

.contact__form-wrap input {
  padding-right: 150px;
}

.contact__form-button {
  position: absolute;
  bottom: 0;
  right: 0;
}

.contact__form-bottom {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 20px;
}

.contact__form-logo {
  width: 100%;
  max-width: 131px;
}

@media (max-width: 1449.98px) {
  .contact {
    padding: 1250px 150px 250px;
    margin-top: -600px;
    background: url('../images/tetris/tetris1.svg') 10% 800px, url('../images/tetris/tetris2.svg') 50% 260px, url('../images/tetris/tetris3.svg') 90% 520px;
    background-repeat: no-repeat;
  }

  .contact.contact-small {
    padding: 600px 150px 250px;
    margin-top: -230px;
  }

  .contact.contact-small .contact__line {
    height: 950px;
  }

  .contact__line {
    width: 12px;
    height: 1600px;
  }

  .contact__icon1 {
    top: 620px;
    left: 15%;
  }

  .contact__icon2 {
    top: 780px;
  }

  .contact__block-text {
    font-size: 24px;
  }
}

@media (max-width: 1199.98px) {
  .contact__block-shadow {
    transform: scale(0.8);
  }

  .contact__block-wrapper {
    padding: 80px 70px 70px;
  }
}

@media (max-width: 991.98px) {
  .contact {
    padding: 900px 0 200px;
    margin-top: -500px;
    background: url('../images/tetris/tetris1.svg') 45px 280px/195px, url('../images/tetris/tetris2.svg') 50% 450px/209px, url('../images/tetris/tetris3.svg') 95% 200px/165px;
    background-repeat: no-repeat;
  }

  .contact.contact-small {
    padding: 450px 0 200px;
    margin-top: -200px;
  }

  .contact.contact-small .contact__line {
    height: 800px;
  }

  .contact.contact-small .contact__icon2 {
    top: 200px;
  }

  .contact__block-wrapper {
    margin: 0;
  }

  .contact__line {
    width: 8px;
    height: 1340px;
  }

  .contact__icon1 {
    top: 510px;
    left: 14%;
  }

  .contact__icon2 {
    top: 570px;
    left: 60%;
  }

  .contact__shadow {
    bottom: 275px;
  }
}

@media (max-width: 767.98px) {
  .contact {
    padding: 770px 0 200px;
    background: url('../images/tetris/tetris1.svg') 10% 170px/111px, url('../images/tetris/tetris2.svg') 50% 370px/119px, url('../images/tetris/tetris3.svg') 95% 240px/95px;
    background-repeat: no-repeat;
  }

  .contact__shadow {
    bottom: 650px;
  }

  .contact__block-shadow2 {
    top: -80px;
  }

  .contact__block-wrapper {
    padding: 60px 45px;
  }

  .contact__block-title {
    font-size: 36px;
  }

  .contact__block-text {
    font-size: 18px;
    margin-bottom: 36px;
  }

  .contact__form {
    gap: 25px;
  }

  .contact__form-row {
    flex-direction: column;
    align-items: stretch;
    gap: 25px;
  }

  .contact__form-logo {
    max-width: 90px;
  }

  .contact__form-bottom {
    margin-top: 20px;
    flex-wrap: wrap;
  }

  .contact__form-whatsapp {
    margin-left: auto;
  }

  .contact__block-img-bottom {
    bottom: -20px;
  }
}

@media (max-width: 575.98px) {
  .contact.contact-small {
    padding: 400px 0 200px;
    margin-top: -100px;
  }

  .contact.contact-small .contact__line {
    height: 720px;
  }

  .contact__block-wrapper {
    padding: 45px 25px;
  }

  .contact__block-title {
    font-size: 28px;
  }

  .contact__block-text {
    font-size: 16px;
    margin-bottom: 28px;
  }

  .contact__form,
  .contact__form-row {
    gap: 20px;
  }

  .contact__form-logo {
    max-width: 64px;
  }
}


/*---- Footer section ----*/
.footer {
  padding: 100px 150px;
  background: linear-gradient(180deg, var(--color-black) 0%, rgb(66, 198, 255, 0.2) 100%);
}

.footer__logo {
  width: 100%;
  max-width: 131px;
  margin-left: -3px;
}

.footer__list {
  margin: 80px 0;
}

.footer__list li {
  font-size: 24px;
  margin-bottom: 30px;
}

.footer__list li:last-child {
  margin-bottom: 0;
}

.footer__list li a {
  color: var(--color-white);
}

.footer__copyright {
  text-align: center;
  font-size: 15px;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 20px;
}

@media (max-width: 1449.98px) {
  .footer__logo {
    max-width: 110px;
  }

  .footer__list {
    margin: 50px 0;
  }

  .footer__list li {
    font-size: 20px;
  }
}

@media (max-width: 991.98px) {
  .footer {
    padding: 80px 45px 100px;
  }

  .footer__logo {
    max-width: 100px;
  }

  .footer__copyright {
    font-size: 12px;
  }
}

@media (max-width: 575.98px) {
  .footer {
    padding: 50px 25px 100px;
  }
}